/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.ftp;

import org.eclipse.core.runtime.IProgressMonitor;

/**
 * Allows nesting of FTP operations.
 * 
 * Each runnable must leave the connection in the same directory as it started
 */
public interface IFtpRunnable {
	
	public void run(IProgressMonitor monitor) throws FtpException;

}
